import { RxNotificationKind, } from '../model';
import { map, materialize, tap } from 'rxjs/operators';
const notificationToRxNotification = (notification) => {
    const kind = rxJsToRxA[notification.kind];
    if (kind === RxNotificationKind.error) {
        return toRxErrorNotification(notification.error);
    }
    if (kind === RxNotificationKind.complete) {
        return toRxCompleteNotification(notification.value);
    }
    return Object.assign(Object.assign({}, notification), { error: false, complete: false, kind });
};
const ɵ0 = notificationToRxNotification;
const rxJsToRxA = {
    C: RxNotificationKind.complete,
    E: RxNotificationKind.error,
    N: RxNotificationKind.next,
};
const toRxErrorNotification = (error, value) => ({
    kind: RxNotificationKind.error,
    hasValue: value || false,
    value: value || undefined,
    complete: false,
    error: error || true,
});
const ɵ1 = toRxErrorNotification;
// const toRxSuspenseNotification = (value?: any): RxSuspenseNotification => ({kind: RxNotificationKind.suspense, hasValue: value || false, value, complete: false, error: false});
const toRxCompleteNotification = (value) => ({
    kind: RxNotificationKind.complete,
    hasValue: value || false,
    value,
    complete: true,
    error: false,
});
const ɵ2 = toRxCompleteNotification;
export function rxMaterialize() {
    return (o$) => o$.pipe(materialize(), tap(({ kind, error }) => {
        if (kind === 'E') {
            console.error(error);
        }
    }), map(notificationToRxNotification));
}
export { ɵ0, ɵ1, ɵ2 };
//# sourceMappingURL=rxMaterialize.js.map